%Example for using Matlab code for Q statistic

%  --------------------------------------------------
%  SEE ALSO: bar, hesag, hexplot, m_hist0, QS_se_no
% ---------------------------------------------------
%  REQUIRES: nominal.mat, symbols_a.mat
% ---------------------------------------------------
% REFERENCES: Ruiz M, Lopez F, Paez A (2009) Testing for Spatial
% Association of Qualitative Data Using Symbolic Dynamics, Journal of
% Geographical Systems
% ---------------------------------------------------
% written by:
% Fernando A. Lpez Hernndez, 2009
% Facultad de C.C. de la Empresa
% Dpto. Metodos Cuantitativos e Informticos
% Universidad Politcnica de Cartagena
% E-mail: Fernando.Lopez@upct.es
% &
% Antonio Paez, 2009
% School of Geography and Earth Sciences
% McMaster University
% E-mail: paezha@mcmaster.ca

%**************************************************************************
%Load nominal variables with various levels of spatial association

load nominal.mat
%Vectors Y1, Y2, ... , Y5 have increasing levels of spatial association.
%The variable is defined for a 20x20 hexagonal tesselation
N=20;%# of rows for the hexagonal tesselation.
M=20;%# of columns for the hexagonal tesselation
[junk,COORD]=hexag(N,M);
%Plot example of nominal variable
figure;plothex(N,M,Y5/3);
box on;set(gca,'XTickLabel',[],'YTickLabel',[]); axis equal

%**************************************************************************
%Proceed with the tests

%load the mat file with the symbols
load symbols_a 

%Create m-histories
m4=m_hist_no(COORD(:,1),COORD(:,2),4,2);%m=4 overlap r=2
m5=m_hist_no(COORD(:,1),COORD(:,2),5,4);%m=5 overlap r=4
m6=m_hist_no(COORD(:,1),COORD(:,2),6,5);%m=6 overlap r=5

info.plot='yes';%plot frequency of symbols
info.print='yes';%display results in screen

QS_se_no(Y5+1,m4,symb34,info);